import Vue from "vue";

import App from "./App.vue";
import router from "./router";
import store from "./store";
import globalVuePlugins from "./plugins/globalVuePlugins";

// https://github.com/RobinCK/vue-ls
import VueLocalStorage from "vue-ls";
import ElementUI from "element-ui";
import "element-ui/lib/theme-chalk/index.css";
import "./assets/styles/index.scss";

import { initConfigData } from "@/plugins/env";

Vue.use(ElementUI, { size: "small" });
Vue.use(VueLocalStorage);
Vue.use(globalVuePlugins);

// 加载采集配置
const GLOBAL = initConfigData({});
Vue.prototype.GLOBAL = GLOBAL;

Vue.config.productionTip = false;

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount("#app");
